Loading...
Searching...
No Matches
juce::AudioPluginInstance::Parameter Struct Reference

## Detailed Description

Structure used to describe plugin parameters.

The documentation for this struct was generated from the following file:

- juce_audio_processors_headless/processors/juce_AudioPluginInstance.h

Inheritance diagram for juce::AudioPluginInstance::Parameter:

## Public Member Functions

| Parameter ()
String | getText (float value, int maximumStringLength) const override
| Returns a textual version of the supplied normalised parameter value.
float | getValueForText (const String &text) const override
| Should parse a string and return the appropriate value for it.
Public Member Functions inherited from juce::HostedAudioProcessorParameter
virtual String | getParameterID () const =0
| Returns an ID that is unique to this parameter.
| AudioProcessorParameter () noexcept=default
| AudioProcessorParameter (int versionHint)
| The version hint supplied to this constructor is used in Audio Unit plugins to aid ordering parameter identifiers when JUCE_FORCE_USE_LEGACY_PARAM_IDS is not enabled.
Public Member Functions inherited from juce::AudioProcessorParameter
| AudioProcessorParameter () noexcept=default
| AudioProcessorParameter (int versionHint)
| The version hint supplied to this constructor is used in Audio Unit plugins to aid ordering parameter identifiers when JUCE_FORCE_USE_LEGACY_PARAM_IDS is not enabled.
virtual | ~AudioProcessorParameter ()
| Destructor.
virtual float | getValue () const =0
| Called by the host to find out the value of this parameter.
virtual void | setValue (float newValue)=0
| The host will call this method to change the value of a parameter.
void | setValueNotifyingHost (float newValue)
| A processor should call this when it needs to change one of its parameters.
void | beginChangeGesture ()
| Sends a signal to the host to tell it that the user is about to start changing this parameter.
void | endChangeGesture ()
| Tells the host that the user has finished changing this parameter.
virtual float | getDefaultValue () const =0
| This should return the default value for this parameter.
virtual String | getName (int maximumStringLength) const =0
| Returns the name to display for this parameter, which should be made to fit within the given string length.
virtual String | getLabel () const =0
| Some parameters may be able to return a label string for their units.
virtual int | getNumSteps () const
| Returns the number of steps that this parameter's range should be quantised into.
virtual bool | isDiscrete () const
| Returns whether the parameter uses discrete values, based on the result of getNumSteps, or allows the host to select values continuously.
virtual bool | isBoolean () const
| Returns whether the parameter represents a boolean switch, typically with "On" and "Off" states.
virtual bool | isOrientationInverted () const
| This can be overridden to tell the host that this parameter operates in the reverse direction.
virtual bool | isAutomatable () const
| Returns true if the host can automate this parameter.
virtual bool | isMetaParameter () const
| Should return true if this parameter is a "meta" parameter.
virtual Category | getCategory () const
| Returns the parameter's category.
int | getParameterIndex () const noexcept
| Returns the index of this parameter in its parent processor's parameter list.
void | setParameterIndex (int) noexcept
virtual String | getCurrentValueAsText () const
| Returns the current value of the parameter as a String.
virtual StringArray | getAllValueStrings () const
| Returns the set of strings which represent the possible states a parameter can be in.
int | getVersionHint () const
void | setOwner (Listener *listener) noexcept
void | addListener (Listener *newListener)
| Registers a listener to receive events when the parameter's state changes.
void | removeListener (Listener *listener)
| Removes a previously registered parameter listener.
void | sendValueChangedMessageToListeners (float newValue)

## Additional Inherited Members

Public Types inherited from juce::AudioProcessorParameter
enum | Category { genericParameter = (0 << 16) | 0 , inputGain = (1 << 16) | 0 , outputGain = (1 << 16) | 1 , inputMeter = (2 << 16) | 0 , outputMeter = (2 << 16) | 1 , compressorLimiterGainReductionMeter = (2 << 16) | 2 , expanderGateGainReductionMeter = (2 << 16) | 3 , analysisMeter = (2 << 16) | 4 , otherMeter = (2 << 16) | 5 }
Static Public Member Functions inherited from juce::AudioProcessorParameter
static int | getDefaultNumParameterSteps () noexcept
| Returns the default number of steps for a parameter.

## Constructors and Destructors

## Parameter()

juce::AudioPluginInstance::Parameter::Parameter | ( |  | ) |

## Member Functions

## getText()

String juce::AudioPluginInstance::Parameter::getText | ( | float | normalisedValue,
|  | int | ) const

override virtual

Returns a textual version of the supplied normalised parameter value.

The default implementation just returns the floating point value as a string, but this could do anything you need for a custom type of value.

Reimplemented from juce::AudioProcessorParameter.

## getValueForText()

float juce::AudioPluginInstance::Parameter::getValueForText | ( | const String & | text | ) | const

override virtual

Should parse a string and return the appropriate value for it.

Implements juce::AudioProcessorParameter.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited